Assets

Import image from URL

POST
/upload/from-url

Synchronously fetches an image from a public URL and ingests it as an UploadedImage asset.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Request Body

application/json
  1. body
url*Url

Public HTTP/HTTPS URL of the image to import.

Length1 <= length <= 2048
filename?|

Optional filename override for the imported asset.

Defaultnull
project_id?|

Optional project ID to associate the asset with.

Defaultnull
tag_ids?array<string>

IDs of existing, visible tags to assign to the newly created asset.

Default[]
new_tags?array<>

New tags to create (owned by the caller) and assign to the newly created asset.

Default[]

Response Body

Successful Response

application/json
  1. response
asset_id*Asset Id

UUID of the created asset (matches the id used by other asset endpoints).

filename*Filename

Saved filename of the asset.

url*Url

CloudFront download URL of the asset.

project_id?|

Associated project ID if assigned.

Defaultnull
tags?array<>

Tags assigned to the created asset.

Default[]
curl -X POST "https://example.com/upload/from-url" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
{  "asset_id": "string",  "filename": "string",  "url": "string",  "project_id": null,  "tags": []}